.isorobot-ai-assistant {
    border: 0px solid #e0e0e0;
    border-radius: 8px;
    padding: 10px 20px;
    display: flex;
    align-items: center;
    color: #fff;
    gap: 8px;
    cursor: pointer;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.2);
    transition: all 0.3s ease;
    position: relative;
    justify-content: center;
    position: fixed;
    z-index: 999;
    bottom: 20px;
    right: 90px;
    background-image: linear-gradient(to right, #4776e6 0%, #8e54e9 51%, #4776e6 100%);
    transition: 0.5s;
    background-size: 200% auto;
}

.isorobot-ai-assistant:hover {
    transform: translateY(-2px);
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
    background-position: right center; /* change the direction of the change here */
    color: #fff;
    text-decoration: none;
}
.isorobot-ai-assistant.active {
    border-color: #22c55e;
    animation: at-ripple 0.6s linear infinite;
}

@-webkit-keyframes at-ripple {
    0% {
        box-shadow:
            0 4px 10px rgba(34, 197, 94, 0.1),
            0 0 0 0 rgba(34, 197, 94, 0.1),
            0 0 0 5px rgba(34, 197, 94, 0.1),
            0 0 0 10px rgba(34, 197, 94, 0.1);
    }
    100% {
        box-shadow:
            0 4px 10px rgba(34, 197, 94, 0.1),
            0 0 0 5px rgba(34, 197, 94, 0.1),
            0 0 0 10px rgba(34, 197, 94, 0.1),
            0 0 0 20px rgba(34, 197, 94, 0);
    }
}
@keyframes at-ripple {
    0% {
        box-shadow:
            0 4px 10px rgba(34, 197, 94, 0.1),
            0 0 0 0 rgba(34, 197, 94, 0.1),
            0 0 0 5px rgba(34, 197, 94, 0.1),
            0 0 0 10px rgba(34, 197, 94, 0.1);
    }
    100% {
        box-shadow:
            0 4px 10px rgba(34, 197, 94, 0.1),
            0 0 0 5px rgba(34, 197, 94, 0.1),
            0 0 0 10px rgba(34, 197, 94, 0.1),
            0 0 0 20px rgba(34, 197, 94, 0);
    }
}
.ai-assistant-modal {
    max-width: 450px;
}
.ai-assistant-modal .modal-content {
    border-radius: 20px;
    background-color: #f9fafb;
}
.ai-heading {
    font-size: 20px;
}
.ai-assistant-btn {
    background: #fff;
    cursor: pointer;
    text-align: center;
    border-radius: 10px;
    padding: 20px;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.04);
    -webkit-transition: all 0.2s ease-in-out;
    -moz-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
}

.ai-assistant-btn:hover {
    transform: translateY(-2px);
}

.btn-grad {
    background-image: linear-gradient(to right, #5c258d 0%, #4389a2 51%, #5c258d 100%);
    width: 100%;
    padding: 15px 45px;
    text-align: center;
    transition: 0.5s;
    background-size: 200% auto;
    font-size: 1rem;
    color: white;
    box-shadow: 0 0 20px #eee;
    border-radius: 10px;
    display: block;
    border: 0;
    cursor: pointer;
}

.btn-grad:hover {
    background-position: right center; /* change the direction of the change here */
    color: #fff;
    text-decoration: none;
}
.ai-assistant-chat .chat-header {
    border-bottom: solid 1px rgb(0 0 0 / 15%);
    margin: -1.5rem -1.5rem 0 -1.5rem;
    padding: 1.5rem 1.5rem 0.5rem 1.5rem;
}

.chat-user-icon {
    width: 48px;
    height: 48px;
    min-width: 48px;
    min-height: 48px;
    background: #f3f4f6;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.04);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.2rem;
    color: rgb(0 0 0 / 70%);
}
.chat-inner-body-item.left .chat-user-icon {
    margin-right: 10px;
}
.chat-inner-body-item.right .chat-user-icon {
    margin-left: 10px;
}
.support-agent-message {
    background: #f3f4f6;
    margin: 0;
    border-radius: 0.5rem;
    border-top-left-radius: 0px;
    padding: 10px;
}
.chat-person-message {
    background: #0088ff21;
    margin: 0;
    border-radius: 0.5rem;
    border-bottom-right-radius: 0px;
    padding: 10px;
}
.chat-person-message p {
    margin: 0;
}
.support-agent-message p {
    margin: 0;
}
.chat-inner-body {
    display: flex;
    flex-direction: column;
}

.chat-inner-body-item {
    display: flex;
    margin-bottom: 30px;
}
.chat-inner-body-item.right {
    justify-content: flex-end;
}

.chat-footer {
    border-top: solid 1px rgb(0 0 0 / 15%);
    margin: -1rem -1.5rem -1.5rem -1.5rem;
    padding: 1rem;
    position: relative;
    z-index: 9;
}

.chat-footer .input-group input.form-control {
    font-size: 1rem;
    padding: 1.5rem 0.75rem;
    border-radius: 2rem !important;
    border-color: transparent;
}

.chat-footer button.btn.btn-outline-secondary {
    border-radius: 2rem !important;
    background-image: linear-gradient(to right, #5c258d 0%, #4389a2 51%, #5c258d 100%) !important;
    width: 100%;
    padding: 15px 45px;
    text-align: center;
    transition: 0.5s;
    background-size: 200% auto;
    font-size: 1rem;
    color: white;
    box-shadow: 0 0 20px #eee;
    border-radius: 10px;
    display: block;
    border: 0;
    cursor: pointer;
}
.chat-footer button.btn.btn-outline-secondary:hover {
    transform: translateY(-2px);
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
    border-color: #667eea;
}

.chat-footer .input-group-append {
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    margin: 5px;
    z-index: 9;
}
.chat-footer .form-control:focus {
    box-shadow: 0 0 0 0.1rem rgb(0 136 255);
}
button.mic-btn {
    background: #dedddd;
    border: 0;
    width: 56px;
    height: 56px;
    border-radius: 50%;
    cursor: pointer;
    border: solid 4px #ececec;
}

.primary-bg {
    background-color: var(--color-primary);
}

.voice-wave {
    position: relative;
    width: 100px;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
}
.voice-wave span {
    position: absolute;
    width: 100%;
    height: 100%;
    border: 2px solid #6366f1;
    border-radius: 50%;
    animation: animate 2s linear infinite;
}
.voice-wave span:nth-child(2) {
    animation-delay: -1s;
}
@keyframes animate {
    0% {
        transform: scale(0.5);
        opacity: 0;
    }
    50% {
        opacity: 1;
    }
    100% {
        transform: scale(1.5);
        opacity: 0;
    }
}

.primary-dot {
    font-size: 4em;
    line-height: 1px;
    color: var(--color-primary);
}
.expand-btn {
    margin-top: -1px;
    margin-right: 10px;
}
.ai-assistant-wrapper {
    height: calc(100vh - 140px);
    display: flex;
    align-items: center;
    justify-content: center;
}
.ai-assistant-wrapper .ai-assistant-main {
    background: #fff;
    padding: 80px;
    border-radius: 15px;
}
@media (max-width: 767px) {
    .ai-assistant-wrapper .ai-assistant-main {
        padding: 20px;
    }
}

.bg-grey {
    background-color: #f3f8fb;
}
#ai-assistant-wrapper .ai-assistant-chat .chat-body {
    max-height: calc(100vh - 300px);
    overflow-x: auto;
    margin: 0 -25px;
    padding-left: 25px;
    padding-right: 25px;
}
#ai-assistant-wrapper.chat-box-full-screen .ai-assistant-chat {
    display: flex;
    flex-direction: column;
}

#ai-assistant-wrapper.chat-box-full-screen .ai-assistant-chat .chat-body {
    max-height: calc(100vh - 178px);
    min-height: calc(100vh - 178px);
    overflow-x: auto;
    margin: 0 -25px;
    padding-left: 25px;
    padding-right: 25px;
}

/* Ai Chat Popup */

#ai-assistant-wrapper {
    margin-right: -440px;
    right: 0;
    bottom: 0 !important;
    width: 440px;
    background-color: #f3f8fb;
    position: fixed;
    /* height: 75%; */
    overflow-y: hidden;
    z-index: 1000000;
    -webkit-transition: all 0.4s ease 0s;
    -moz-transition: all 0.4s ease 0s;
    -ms-transition: all 0.4s ease 0s;
    -o-transition: all 0.4s ease 0s;
    transition: all 0.4s ease 0s;
}

#ai-assistant-wrapper.active {
    right: 480px;
    width: 440px;
    border-right: 1px solid #ccc;
    -webkit-transition: all 0.4s ease 0s;
    -moz-transition: all 0.4s ease 0s;
    -ms-transition: all 0.4s ease 0s;
    -o-transition: all 0.4s ease 0s;
    transition: all 0.4s ease 0s;
    overflow-x: hidden;
    box-shadow: 5px 10px 24px #888888;
}
@media (max-width: 767px) {
    #ai-assistant-wrapper.active {
        width: 100%;
        right: 100%;
        margin-right: -100%;
    }
}
.inner-chat-robo .msg-nbr {
    top: -6px;
}

#ai-assistant-wrapper.chat-box-full-screen {
    width: 600px !important;
    height: 100% !important;
    bottom: 0 !important;
    right: 440px !important;
}
